# TVFLabs's Bottled Cards
This mod allows adding new Squirrel in a Bottle-style items via extended properties. It also allows easy testing of the items by providing the possibility of starting your run with the new item.

### How to Use:
Setting the `AvailableInBottle` extended property of a card to `true` allows the card to appear in bottle items while your mod is installed.
Setting the `BottleChallengeAvailable` extended property of a card to `true` will automatically create a Challenge that subtracts 5 challenge points and replaces the Squirrel in a Bottle item you would normally start with with a bottle containing the card with the extended property.
Note that the Start With Bottle Challenge will only appear if both extended properties are `true`, and that only one Start With Bottle Challenge will work at a time.

Examples:
- **JSON Loader:**
```
"extensionProperties": {
  "AvailableInBottle": "true",
  "BottleChallengeAvailable": "true"
}
```
- **C#:**
```
customCard.SetExtendedProperty("AvailableInBottle", "true");
customCard.SetExtendedProperty("BottleChallengeAvailable", "true");
```

### Features

- **X New Items:**

| Name | Description | Notes |
| ----------- | ----------- | ----------- |
| `Card` in a Bottle  | To the User: A `Card` is created in your hand | You can create variations of this item for any card, of course! | 

- **X New Challenges:**

| Name | Description | Challenge Points | Notes |
| ----------- | ----------- | ----------- | ----------- |
| Start With `Card` Bottle  | You start with a `Card` in a Bottle. | -5 | You can create variations of this challenge for any card, of course! | 

### Changelog
- 1.1.0: 
	- Uploaded to Thunderstore
	- Accidentally uploaded as version 1.1.0 when the version should have been 1.0.0
- 1.1.1:
	- Fixed custom Card in a Bottle items not appearing in item choice (backpack) nodes
	- Fixed custom Card in a Bottle items not being able to be viewed in the rulebook
	- Fixed custom Card in a Bottle names starting with a vowel being preceded by "a" instead of "an"